.goods-list-section .product-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--grid-gap-large);
  width: 100%;
}

.goods-list-section .product-content .product-list-left,
.goods-list-section .product-content .product-list-content {
  display: flex;
  flex-direction: column;
  gap: var(--section-space-small);
  width: 100%;
}

.goods-list-section .product-list {
  display: grid;
  grid-template-rows: auto;
  gap: var(--grid-vertical-gap) var(--grid-horizontal-gap);
  grid-template-columns: repeat(var(--data-column), 1fr);
}
.goods-list-section .product-content.category-left {
  flex-direction: row;
}

.goods-list-section .product-content.category-left .product-list-left {
  width: 20%;
  gap: var(--section-space-medium);
}

.goods-list-section .product-content .product-list-left:empty {
  display: none;
}

.goods-list-section .product-content.category-left .product-list-content {
  flex: 1;
}

.goods-list-section .featured-products .featured-products-title {
  padding-bottom: 16px;
  margin-bottom: 16px;
  border-bottom: 1px solid var(--border-color);
  font-weight: 600;
}

.goods-list-section .featured-products .featured-products-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.goods-list-section .featured-products .featured-products-list .product-card {
  flex-direction: row !important;
  gap: 12px;
  padding: 0 !important;
  border: none !important;
}

.goods-list-section .featured-products .featured-products-list .product-image {
  width: 30% !important;
}

.goods-list-section .featured-products .featured-products-list .product-image img {
  aspect-ratio: 1;
}

.goods-list-section .featured-products .featured-products-list .product-title {
  font-size: 14px;
  font-weight: 500;
  -webkit-line-clamp: 2;
}

.goods-list-section .product-list-header {
  display: flex;
  flex-direction: column;
  gap: var(--section-space-small);
}

.goods-list-section .filters-toolbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: var(--grid-gap-small);
  flex-wrap: wrap;
}

.goods-list-section .filters-toolbar .product-filters {
  flex: 1;
}

.goods-list-section .product-list.horizontal .product-card .product-image {
  width: 40%;
}

.goods-list-section #pagesize .loading-indicator {
  text-align: center;
}

.goods-list-section #pagesize .loading-indicator i {
  display: inline-block;
  font-size: var(--icon-medium);
  color: var(--text-color);
  animation: load-spining 1s linear infinite;
}
@keyframes load-spining {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


@media screen and (max-width: 1024px) {
  .goods-list-section .product-list {
    grid-template-columns: repeat(3, 1fr) !important;
  }

  .goods-list-section .product-list.horizontal {
    grid-template-columns: repeat(2, 1fr) !important;
  }

  .goods-list-section .product-list.horizontal .product-card .product-image {
    width: 30%;
  }
}

@media screen and (max-width: 1023px) {
  .goods-list-section .product-content {
    flex-direction: column !important;
  }

  .goods-list-section .product-content .product-list-left {
    display: none;
  }

  .goods-list-section .filters-toolbar {
    justify-content: flex-end;
  }

  .goods-list-section .filters-toolbar .product-active-filters {
    order: 3;
  }

  .goods-list-section .filters-toolbar .product-filters {
    flex: none;
  }
}

@media screen and (max-width: 767px) {
  .goods-list-section .product-list {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}